### Method

# Camel MimeParser scan_from

#### Declaration [src]

    void
    camel_mime_parser_scan_from (
      CamelMimeParser* parser,
      gboolean scan_from
    )

#### Description [src]

Tell the scanner if it should scan “^From ” lines or not.

If the scanner is scanning from lines, two additional states CAMEL_MIME_PARSER_STATE_FROM and CAMEL_MIME_PARSER_STATE_FROM_END will be returned to the caller during parsing.

This may also be preceeded by an optional CAMEL_MIME_PARSER_STATE_PRE_FROM state which contains the scanned data found before the From line is encountered. See also camel_mime_parser_scan_pre_from().

#### Parameters

`scan_from`

  Type: `gboolean`

  `TRUE` if the scanner should scan From lines.